unit Unit2;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants,
  System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VclTee.TeEngine,
  VclTee.Series, Vcl.ExtCtrls, VclTee.TeeProcs, VclTee.Chart, Vcl.StdCtrls,
  VclTee.TeCanvas, Vcl.ComCtrls, AdvPageControl, AdvEdit, AdvEdBtn;

type
  TForm2 = class(TForm)
    Chart1: TChart;
    AdvPageControl1: TAdvPageControl;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.FormCreate(Sender: TObject);
var
  i: integer;
  Series1: TpointSeries;
  seriesarray: array [1 .. 3] of TpointSeries;
  buttonsarray: array [1 .. 3] of TButtonColor;
  ButtonColori: TButtonColor;
  SizeEditBtn: TAdvEditBtn;
  SizeEditarray: array [1 .. 3] of TAdvEditBtn;
  ats: TAdvTabSheet;
  // TImagePicker
begin
  Chart1.View3D := false;
  Chart1.Legend.Visible := false;
  for i := 1 to 3 do begin
    Series1 := Chart1.AddSeries(TpointSeries) as TpointSeries;
    seriesarray[i] := Series1;
    Series1.FillSampleValues();
    ats := TAdvTabSheet.Create(AdvPageControl1);
    ats.AdvPageControl := AdvPageControl1;
    ats.Caption := 'tab' + i.ToString;
    ButtonColori := TButtonColor.Create(self);
    buttonsarray[i] := ButtonColori;
    buttonsarray[i].Parent := ats;
    buttonsarray[i].Left := 5 * i + 15;
    buttonsarray[i].Top := 15;
    buttonsarray[i].Caption := i.ToString() + '   ';
    buttonsarray[i].SymbolWidth := 30;
    // ButtonColor1.LinkProperty(Series1,'SeriesColor');
    buttonsarray[i].LinkProperty(Series1.Pointer.Brush, 'Color');
    buttonsarray[i].SymbolColor := Series1.Pointer.Brush.Color;
    SizeEditBtn := TAdvEditBtn.Create(self);
    SizeEditBtn.Parent := ats;
    SizeEditBtn.Left := 15;
    SizeEditBtn.Top := 55;
    { how to capture onclick event? }
    SizeEditarray[i] := SizeEditBtn;
    { combo  TImagePicker }
  end;

end;

end.
